org.apache.calcite.avatica.util

## Class AbstractCursor.LongAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ExactNumericAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.LongAccessor

All Implemented Interfaces:
  Cursor.Accessor

Direct Known Subclasses:
  AbstractCursor.IntervalDayTimeAccessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.LongAccessor
    extends AbstractCursor.ExactNumericAccessor

Accessor that assumes that the underlying value is a `Long`; corresponds to `Types.BIGINT`.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`LongAccessor(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getLong()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.ExactNumericAccessor

`getBigDecimal, getBigDecimal, getDouble, getFloat`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongAccessor

    public LongAccessor(AbstractCursor.Getter getter)

### Method Detail

#### getLong

    public long getLong()
                 throws SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Specified by:
  `getLong` in class `AbstractCursor.ExactNumericAccessor`
Throws:
  `SQLException`